package com.dj.action.sys;


import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Lowpower;
import com.dj.service.sys.LowpowerServiceI;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 考勤 ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "lowpower", results = { @Result(name = "lowpower", location = "/general/admin/lowpower.jsp") })
public class LowpowerAction extends BaseAction implements
		ModelDriven<Lowpower> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger
			.getLogger(LowpowerAction.class);

	private LowpowerServiceI lowpowerService;

	public LowpowerServiceI getLowpowerService() {
		return lowpowerService;
	}

	@Autowired
	public void setLowpowerService(LowpowerServiceI lowpowerService) {
		this.lowpowerService = lowpowerService;
	}

	private Lowpower lowpower = new Lowpower();

	public Lowpower getModel() {
		return lowpower;
	}

	public String lowpower() {
		return "lowpower";
	}

	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(lowpowerService.datagrid(lowpower));
	}

}
