package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.YaliHistory;
import com.dj.service.sys.YalihistoryServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "yalihistory",
        results = {@Result(
                name = "yalihistory",
                location = "/general/admin/yalihistory.jsp"
        )}
)
public class YalihistoryAction extends BaseAction implements ModelDriven<YaliHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(YalihistoryAction.class);
    private YalihistoryServiceI yalihistoryService;
    private YaliHistory yaliHistory = new YaliHistory();

    public YalihistoryAction() {

    }

    public YalihistoryServiceI getYalihistoryService() {
        return this.yalihistoryService;
    }

    @Autowired
    public void setYalihistoryService(YalihistoryServiceI yalihistoryService) {
        this.yalihistoryService = yalihistoryService;
    }

    public YaliHistory getModel() {
        return this.yaliHistory;
    }

    public String yalihistory() {
        return "yalihistory";
    }

    public void datagrid() {
        super.writeJson(this.yalihistoryService.datagrid(this.yaliHistory));
    }

}

