package com.dj.model.sys;


import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.JoinColumnOrFormula;
import org.hibernate.annotations.JoinColumnsOrFormulas;


/**
 * Vattendance entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "V_ATTENDANCE", schema = "")
public class Vattendance implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	/** default constructor */
	public Vattendance() {
	}
	

	private Integer id;
	private Date intime;
	private Date outtime;
	private Integer personcode;
	private String personname;
	private String mineareacode;
	private String mineareaname;
	private String departcode;
	private String departname;
	private String flag;
	
	
	

	
	@Id
	@Column(name = "ID")
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "INTIME", length = 7)
	public Date getIntime() {
		return intime;
	}
	public void setIntime(Date intime) {
		this.intime = intime;
	}
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "OUTTIME", length = 7)
	public Date getOuttime() {
		return outtime;
	}
	public void setOuttime(Date outtime) {
		this.outtime = outtime;
	}
	@Column(name = "PERSONCODE")
	public Integer getPersoncode() {
		return personcode;
	}
	public void setPersoncode(Integer personcode) {
		this.personcode = personcode;
	}
	@Column(name = "PERSONNAME")
	public String getPersonname() {
		return personname;
	}
	public void setPersonname(String personname) {
		this.personname = personname;
	}
	@Column(name = "MINEAREACODE")
	public String getMineareacode() {
		return mineareacode;
	}
	public void setMineareacode(String mineareacode) {
		this.mineareacode = mineareacode;
	}
	@Column(name = "MINEAREANAME")
	public String getMineareaname() {
		return mineareaname;
	}
	public void setMineareaname(String mineareaname) {
		this.mineareaname = mineareaname;
	}
	@Column(name = "DEPARTCODE")
	public String getDepartcode() {
		return departcode;
	}
	public void setDepartcode(String departcode) {
		this.departcode = departcode;
	}
	@Column(name = "DEPARTNAME")
	public String getDepartname() {
		return departname;
	}
	public void setDepartname(String departname) {
		this.departname = departname;
	}
	@Column(name = "FLAG")
	public String getFlag() {
		return flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}
	
	
	
	

}