package com.dj.util.base;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class DButil {


	public static Connection getConnection(){
		Connection conn = null;
		try {
			Class.forName("org.postgresql.Driver");
			String url = "jdbc:postgresql://192.168.3.220:5432/MineSIX_test1";
			String username = "postgres";
			String password = "red___";
			conn =DriverManager.getConnection(url,username,password);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		return conn;
	}



	public static void close(Connection conn){
		if(conn != null){
			try {
				conn.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}



	public static void close(Statement ps){
		if(ps != null){
			try {
				ps.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}


	public static void close(ResultSet rs){
		if(rs != null){
			try {
				rs.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}


	public static void beginTransaction(Connection conn){
		try{
			if(conn != null){
				if(conn.getAutoCommit()){
					conn.setAutoCommit(false);
				}
			}
		} catch(SQLException e){
			e.printStackTrace();
		}
	}

	public static void commitTransaction(Connection conn){
		try{
			if(conn != null){
				conn.commit();
			}
		} catch(SQLException e){
			e.printStackTrace();
		}
	}

	public static void rollbackTransaction(Connection conn){
		try{
			if(conn != null){
				conn.rollback();
			}
		}catch(SQLException e){
			e.printStackTrace();
		}
	}

	public static void resetConnection(Connection conn){
		try{
			if(conn != null){
				if(conn.getAutoCommit()){
					conn.setAutoCommit(false);
				} else {
					conn.setAutoCommit(true);
				}
			}
		} catch(SQLException e){
			e.printStackTrace();
		}
	}
}
