package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.FengsuHistory;
import com.dj.service.sys.FengsuhistoryServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "fshistory",
        results = {@Result(
                name = "fshistory",
                location = "/general/admin/fshistory.jsp"
        )}
)
public class FengsuhistoryAction extends BaseAction implements ModelDriven<FengsuHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(FengsuhistoryAction.class);
    private FengsuhistoryServiceI fengsuhistoryService;
    private FengsuHistory fengsuHistory = new FengsuHistory();

    public FengsuhistoryAction() {

    }

    public FengsuhistoryServiceI getFengsuhistoryService() {
        return this.fengsuhistoryService;
    }

    @Autowired
    public void setFengsuhistoryService(FengsuhistoryServiceI fengsuhistoryService) {
        this.fengsuhistoryService = fengsuhistoryService;
    }

    public FengsuHistory getModel() {
        return this.fengsuHistory;
    }

    public String fshistory() {
        return "fshistory";
    }

    public void datagrid() {
        super.writeJson(this.fengsuhistoryService.datagrid(this.fengsuHistory));
    }

}

