package com.dj.comparator;

import java.util.Comparator;

import com.dj.model.sys.Tgroup;

/**
 * 班组排序
 * 
 * @author lili
 * 
 */
public class GroupComparator implements Comparator<Tgroup> {

	public int compare(Tgroup o1, Tgroup o2) {
		int i1 = o1.getCseq() != null ? o1.getCseq().intValue() : -1;
		int i2 = o2.getCseq() != null ? o2.getCseq().intValue() : -1;
		return i1 - i2;
	}

}
