package com.dj.model.sys;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;


/**
 * Tstation entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "TSTATION", schema = "")
public class Tstation implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	public Tstation(String cid, String cname, Integer caddr,String ctype,Double cxpos,Double cypos,Double czpos,String cremark,String cdwm,Integer csenid,Integer comd,String clayer,String cip) {
		this.cid = cid;
		this.cname = cname;
		this.caddr = caddr;
		this.ctype = ctype;
		this.cxpos = cxpos;
		this.cypos = cypos;
		this.czpos = czpos;
		this.cremark = cremark;
		this.cdwm = cdwm;
		this.csenid = csenid;
		this.comd = comd;
		this.clayer = clayer;
		this.cip = cip;
		
	}

	// Fields

	private String cid;
	private String cname;
	private Integer caddr;
	private String ctype;
	private Double cxpos;
	private Double cypos;
	private Double czpos;
	private String cremark;
	private String cdwm;
	private Integer csenid;
	private Integer comd;
	private String clayer;
	private String cip;
	
	private Tminearea tminearea;//矿区
	

	// Constructors

	/** default constructor */
	public Tstation() {
	}

	/** minimal constructor */
	public Tstation(String cid, String cname) {
		this.cid = cid;
		this.cname = cname;
	}

	
	@Column(name = "CADDR")
	public Integer getCaddr() {
		return caddr;
	}

	public void setCaddr(Integer caddr) {
		this.caddr = caddr;
	}

	@Column(name = "CTYPE",  length = 100)
	public String getCtype() {
		return ctype;
	}

	public void setCtype(String ctype) {
		this.ctype = ctype;
	}

	@Column(name = "CXPOS")
	public Double getCxpos() {
		return cxpos;
	}

	public void setCxpos(Double cxpos) {
		this.cxpos = cxpos;
	}

	@Column(name = "CYPOS")
	public Double getCypos() {
		return cypos;
	}

	public void setCypos(Double cypos) {
		this.cypos = cypos;
	}

	@Column(name = "CZPOS")
	public Double getCzpos() {
		return czpos;
	}

	public void setCzpos(Double czpos) {
		this.czpos = czpos;
	}

	@Column(name = "CREMARK",  length = 200)
	public String getCremark() {
		return cremark;
	}

	public void setCremark(String cremark) {
		this.cremark = cremark;
	}

	// Property accessors
	@Id
	@Column(name = "CID",  length = 36)
	public String getCid() {
		return this.cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	@Column(name = "CNAME", nullable = false, length = 100)
	public String getCname() {
		return this.cname;
	}

	public void setCname(String cname) {
		this.cname = cname;
	}
	
	@Column(name = "CDWM",  length = 100)
	public String getCdwm() {
		return cdwm;
	}

	
	public void setCdwm(String cdwm) {
		this.cdwm = cdwm;
	}

	@Column(name = "CSENID")
	public Integer getCsenid() {
		return csenid;
	}

	public void setCsenid(Integer csenid) {
		this.csenid = csenid;
	}

	@Column(name = "COMD")
	public Integer getComd() {
		return comd;
	}

	public void setComd(Integer comd) {
		this.comd = comd;
	}

	@Column(name = "CLAYER",  length = 50)
	public String getClayer() {
		return clayer;
	}

	public void setClayer(String clayer) {
		this.clayer = clayer;
	}

	@Column(name = "CIP",  length = 50)
	public String getCip() {
		return cip;
	}

	public void setCip(String cip) {
		this.cip = cip;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "CMINEAREACODE")
	@NotFound(action=NotFoundAction.IGNORE) 
	public Tminearea getTminearea() {
		return tminearea;
	}

	public void setTminearea(Tminearea tminearea) {
		this.tminearea = tminearea;
	}

	

}